INSERT INTO [dbo].[tblCustomQueryParameters]
           ([Type]
           ,[Field]
           ,[Query])
     VALUES
           ('Service Account',
           'Account Name',
           'DECLARE @UserSupplied NVARCHAR(255) SELECT DISTINCT CASE WHEN LEN([SAMAccountDomain]) = 0 THEN [SAMAccountName] ELSE [SAMAccountDomain] + ''\'' + [SAMAccountName] END AS AccountName FROM dbo.vwACEAccount WHERE CASE WHEN LEN([SAMAccountDomain]) = 0 THEN [SAMAccountName] ELSE [SAMAccountDomain] + ''\'' + [SAMAccountName] END LIKE @UserSupplied and [AccountType] = ''G'' OR [AccountType] = ''C'' ORDER BY 1 ASC')
GO


INSERT INTO [dbo].[tblCustomQueryParameters]
           ([Type]
           ,[Field]
           ,[Query])
     VALUES
           ('Windows Service',
           'Display Name',
           'DECLARE @UserSupplied NVARCHAR(255) SELECT DISTINCT [DisplayName] FROM [tblComputerService] WHERE [tblComputerService].[DisplayName] LIKE @UserSupplied ORDER BY 1 ASC')
GO
